Skip to main content
PUT
/
api
/
v1
/
apikey
/
{id}
update api key
curl --request PUT \
  --url https://api.example.com/api/v1/apikey/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ACTIVE",
  "label": "<string>"
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "tenantId": 123,
  "apiKey": "<string>",
  "label": "<string>",
  "lifetime": 123,
  "expiresAt": 123,
  "jti": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
label
string

The label that's assigned to the key.

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
tenantId
integer<int64>

The id of a tenant that owns the key. Only accepted if request from admin role or if matches auth tenant id.

apiKey
string

The api key (JWT token).

label
string

The label that's assigned to the key.

lifetime
integer<int64>

The duration in seconds, after which the key expires.

expiresAt
integer<int64>

The time when api key was / will be expired.

jti
string

The unique identifier of an api key (JWT token).